{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>My eShop</title>
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/fontawesome-all.min.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Tangerine">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" integrity="sha512-1ycn6IcaQQ40/MKBW2W4Rhis/DbILU74C1vSrLJxCq57o941Ym01SwNsOMqvEBFlcgUa6xLiPY/NS5R+E6ztJQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"
            integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"
            integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k"
            crossorigin="anonymous"></script>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
<div class="container-fluid">
    <div class="collapse navbar-collapse" style="font-size: 18px">
        <div class="logo">
            <a href="{% url 'item_list' %}">
            <img src="{% static 'images/logo.png' %}" alt="logo" width="200">
            </a>
        </div>
        <nav>
            <ul>
                <li><a href="{% url 'item_list' %}"><i class="fas fa-home"></i>Home</a></li>
                <li><a href="{% url 'about' %}">About</a></li>

                {# --- Nav menu for logged user --- #}
                {% if request.user.is_authenticated %}
                <li><a href="{% url 'accounts:view_profile' %}"><i class="fas fa-user"></i>My account</a></li>
                <li><a href=" {%  url 'cart:cart_detail' %}"><i class="fas fa-shopping-cart"></i>Cart{{item_count}}</a></li>
                <li><a href="{% url 'accounts:logout_request' %}"><i class="fas fa-sign-out-alt"></i>Log Out</a></li>

                {# --- not logged user --- #}
                {% else %}
                <li><a href="{% url 'accounts:login' %}">Login</a></li>
                <li><a href="{% url 'accounts:sign_up' %}"><i class="fas fa-sign-in-alt"></i>Sign up</a></li>
                {% endif %}


            </ul>
        </nav>
    </div>
</div>
</nav>
<div class="container">
    <div class="jumbotron">
        {% block content %}{% endblock %}
    </div>
</div>
</body>
</html>